Index: tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at
===================================================================
--- tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -33,5 +33,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
@@ -56,5 +56,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
@@ -79,5 +79,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Options/testsuite-options.at
===================================================================
--- tests/GuiChecks/Options/testsuite-options.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Options/testsuite-options.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -39,7 +39,4 @@
 m4_include([Options/SetDefaultName/testsuite-options-set-default-name.at])
 
-# world time
-m4_include([Options/SetWorldTime/testsuite-options-set-world-time.at])
-
 # test that all desire parameters and count how many complain
 
Index: tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -20,5 +20,5 @@
 
 AT_SETUP([Parser - load tremolo file with potentials])
-AT_KEYWORDS([parser tremolo load parse-tremolo-potentials])
+AT_KEYWORDS([parser tremolo load parse-particle-parameters])
 
 file=argon.data
@@ -26,5 +26,5 @@
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -v 2 --parse-tremolo-potentials argon.potentials -i $file --no-dry-run --store-session session-parser-tremolo-potentials-load.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run -v 2 --parse-particle-parameters argon.potentials -i $file --no-dry-run --store-session session-parser-tremolo-potentials-load.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-potentials-load.py >session-parser-tremolo-potentials-load_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-parser-tremolo-potentials-load_new.py], 0, [stdout], [ignore])
Index: tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -19,8 +19,8 @@
 
 AT_SETUP([Parser - saving tremolo file from loaded xyz file with potentials])
-AT_KEYWORDS([parser tremolo save parse-tremolo-potentials])
+AT_KEYWORDS([parser tremolo save parse-particle-parameters])
 
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run -v 2 --parse-tremolo-potentials argon.potentials -i test.data -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/test.xyz --no-dry-run --store-session session-parser-tremolo-potentials-save.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -v 2 --parse-particle-parameters argon.potentials -i test.data -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/test.xyz --no-dry-run --store-session session-parser-tremolo-potentials-save.py --session-type python], 0, [ignore], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-potentials-save.py >session-parser-tremolo-potentials-save_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-parser-tremolo-potentials-save_new.py], 0, [ignore], [ignore])
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -36,10 +36,10 @@
 
 AT_SETUP([Parser - loading tremolo file with improper])
-AT_KEYWORDS([parser input load tremolo improper parse-tremolo-potentials])
+AT_KEYWORDS([parser input load tremolo improper parse-particle-parameters])
 
 prefile=bio.data
 file=bio2.data
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$prefile $prefile], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/bio.potentials -i $file -o tremolo -l $prefile --no-dry-run --store-session session-parser-tremolo-improper.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/bio.potentials -i $file -o tremolo -l $prefile --no-dry-run --store-session session-parser-tremolo-improper.py --session-type python], 0, [ignore], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-improper.py >session-parser-tremolo-improper_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-parser-tremolo-improper_new.py], 0, [ignore], [ignore])
Index: tests/GuiChecks/Parser/testsuite-parser.at
===================================================================
--- tests/GuiChecks/Parser/testsuite-parser.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Parser/testsuite-parser.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -71,5 +71,4 @@
 
 # parsing tremolo with .potentials
-m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at])
 m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at])
 m4_include([Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at])
Index: tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at
===================================================================
--- tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -22,4 +22,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential morse])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/WaterAngle
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py length_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=length_homology.dat
@@ -31,5 +33,5 @@
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
-AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.2.*,.*equilibrium_distance=1.7.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.3.*,.*equilibrium_distance=1.7.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -38,14 +40,16 @@
 AT_KEYWORDS([potential parse-homologies fit-potential harmonic])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Water
+# see morse fitting
 
-file=harmonic_homology.dat
+file=length_homology.dat
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 5e-6 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 6e-4 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
-# check that L_2 error is below 5e-6
+# check that L_2 error is below 6e-4
 # check parameters to printed precision
-AT_CHECK([grep "harmonic_bond:.*particle_type1=8,.*particle_type2=1,.*spring_constant=0.29.*,.*equilibrium_distance=1.8.*;" harmonic.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "harmonic_bond:.*particle_type1=8,.*particle_type2=1,.*spring_constant=0.4.*,.*equilibrium_distance=1.8.*;" harmonic.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -54,4 +58,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential harmonic_angle])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/WaterAngle
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py angle_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=angle_homology.dat
@@ -63,5 +69,5 @@
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
-AT_CHECK([grep "harmonic_angle:.*particle_type1=1,.*particle_type2=8,.*particle_type3=1,.*spring_constant=0.10.*,.*equilibrium_distance=-0.27.*;" angle.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "harmonic_angle:.*particle_type1=1,.*particle_type2=8,.*particle_type3=1,.*spring_constant=0.10.*,.*equilibrium_distance=-0.29.*;" angle.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -70,4 +76,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential torsion])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Butane
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py torsion_common.pdb 4 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=torsion_homology.dat
@@ -86,15 +94,17 @@
 AT_KEYWORDS([potential parse-homologies fit-potential improper])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Ammonia
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py improper_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 1 2. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=improper_homology.dat
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "improper" 		--potential-charges 1 7 1 1 		--fragment-charges 7 1 1 1 		--set-threshold 3e-4 	--save-potentials improper.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "improper" 		--potential-charges 7 1 1 1 		--fragment-charges 7 1 1 1 		--set-threshold 3e-4 	--save-potentials improper.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 3e-4
 # check parameters to printed precision
-AT_CHECK([grep "improper:.*particle_type1=1,.*particle_type2=7,.*particle_type3=1,.*particle_type4=1,.*spring_constant=.*,.*equilibrium_distance=.*;" improper.potentials], 0, [ignore], [ignore])
-#AT_CHECK([grep "improper:.*particle_type1=1,.*particle_type2=7,.*particle_type3=1,.*particle_type4=1,.*spring_constant=1.02.*,.*equilibrium_distance=0.85.*;" improper.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "improper:.*particle_type1=7,.*particle_type2=1,.*particle_type3=1,.*particle_type4=1,.*spring_constant=.*,.*equilibrium_distance=.*;" improper.potentials], 0, [ignore], [ignore])
+#AT_CHECK([grep "improper:.*particle_type1=7,.*particle_type2=1,.*particle_type3=1,.*particle_type4=1,.*spring_constant=1.02.*,.*equilibrium_distance=0.85.*;" improper.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -103,4 +113,6 @@
 AT_KEYWORDS([potential parse-homologies fit-potential lennardjones])
 AT_SKIP_IF([../../molecuilder --help fit-potential; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+# homology files probably originate from Labspace/PotentialFitting/Argon
+# recreate homology file: PYTHONPATH=... /usr/bin/python .../tests/regression/Potential/FitPotential/pre/measurement_function.py lj_common.pdb 2 0 0 5 4 127.0.0.1 2050 6-311G* 2 11. 10 .../share/molecuilder/data/bondtables/bondtable.dat
 
 file=lj_homology.dat
Index: tests/GuiChecks/Potential/SaveParseParticleParameters/testsuite-potential-save-parse-particle-parameters.at
===================================================================
--- tests/GuiChecks/Potential/SaveParseParticleParameters/testsuite-potential-save-parse-particle-parameters.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Potential/SaveParseParticleParameters/testsuite-potential-save-parse-particle-parameters.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,31 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parse and save some particle parameters
+
+AT_SETUP([Potential - save and parse particle file])
+AT_KEYWORDS([potential parse-particle-parameters save-particle-parameters])
+
+file=harmonic.particles
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/SaveParseParticleParameters/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-particle-parameters $file 	--save-particle-parameters harmonic_new.particles --no-dry-run --store-session session-potential-save-parse-particle-parameters.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-save-parse-particle-parameters.py >session-potential-save-parse-particle-parameters_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-save-parse-particle-parameters_new.py], 0, [stdout], [ignore])
+AT_CHECK([diff $file harmonic_new.particles], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Potential/SaveParsePotentials/testsuite-potential-save-parse-potentials.at
===================================================================
--- tests/GuiChecks/Potential/SaveParsePotentials/testsuite-potential-save-parse-potentials.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Potential/SaveParsePotentials/testsuite-potential-save-parse-potentials.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,31 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parse and save some potentials
+
+AT_SETUP([Potential - save and parse potential file])
+AT_KEYWORDS([potential parse-potentials save-potentials])
+
+file=harmonic.potentials
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/SaveParsePotentials/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-potentials $file 	--save-potentials harmonic_new.potentials --no-dry-run --store-session session-potential-save-parse-potentials.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-save-parse-potentials.py >session-potential-save-parse-potentials_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-save-parse-potentials_new.py], 0, [stdout], [ignore])
+AT_CHECK([diff $file harmonic_new.potentials], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Potential/testsuite-potential.at
===================================================================
--- tests/GuiChecks/Potential/testsuite-potential.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Potential/testsuite-potential.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -19,7 +19,13 @@
 AT_BANNER([MoleCuilder - potential tests])
 
+# parsing and saving potential file
+m4_include([Potential/SaveParsePotentials/testsuite-potential-save-parse-potentials.at])
+
 # fitting potential to fragment results
 m4_include([Potential/FitPotential/testsuite-potential-fit-potential.at])
 
+# parsing and saving particles file
+m4_include([Potential/SaveParseParticleParameters/testsuite-potential-save-parse-particle-parameters.at])
+
 # fitting particle charges to fragment results
 m4_include([Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at])
Index: tests/GuiChecks/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at
===================================================================
--- tests/GuiChecks/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,48 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set world time
+
+AT_SETUP([Worldtime - set])
+AT_KEYWORDS([worldtime set-world-time])
+
+AT_CHECK([../../molecuilder --dry-run --set-world-time 10 --no-dry-run --store-session session-worldtime-set-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-set-world-time.py >session-worldtime-set-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-set-world-time_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - set with Undo])
+AT_KEYWORDS([worldtime set-world-time undo])
+
+AT_CHECK([../../molecuilder --dry-run --set-world-time 10 --undo --no-dry-run --store-session session-worldtime-set-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-set-world-time.py >session-worldtime-set-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-set-world-time_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - set with Redo])
+AT_KEYWORDS([worldtime set-world-time undo redo])
+
+AT_CHECK([../../molecuilder --dry-run --set-world-time 10 --undo --redo --no-dry-run --store-session session-worldtime-set-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-set-world-time.py >session-worldtime-set-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-set-world-time_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at
===================================================================
--- tests/GuiChecks/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### step through world time
+
+AT_SETUP([Worldtime - stepping])
+AT_KEYWORDS([worldtime step-world-time set-world-time])
+
+AT_CHECK([../../molecuilder --dry-run --step-world-time --steps-forward 1 --no-dry-run --store-session session-worldtime-step-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-step-world-time.py >session-worldtime-step-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-step-world-time_new.py], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --set-world-time 4 --step-world-time --steps-backward 2 --no-dry-run --store-session session-worldtime-step-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-step-world-time.py >session-worldtime-step-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-step-world-time_new.py], 0, [stdout], [stderr])
+# stepping back too far fails
+AT_CHECK([../../molecuilder --dry-run --set-world-time 1 --step-world-time --steps-backward 2 --no-dry-run --store-session session-worldtime-step-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-step-world-time.py >session-worldtime-step-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-step-world-time_new.py], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - stepping with Undo])
+AT_KEYWORDS([worldtime step-world-time set-world-time undo])
+
+AT_CHECK([../../molecuilder --dry-run --set-world-time 2 --step-world-time --steps-backward  1 --undo --no-dry-run --store-session session-worldtime-step-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-step-world-time.py >session-worldtime-step-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-step-world-time_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Worldtime - stepping with Redo])
+AT_KEYWORDS([worldtime step-world-time set-world-time undo redo])
+
+AT_CHECK([../../molecuilder --dry-run --set-world-time 2 --step-world-time --steps-backward 1 --undo --redo --no-dry-run --store-session session-worldtime-step-world-time.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-worldtime-step-world-time.py >session-worldtime-step-world-time_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-worldtime-step-world-time_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/WorldTime/testsuite-worldtime.at
===================================================================
--- tests/GuiChecks/WorldTime/testsuite-worldtime.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/WorldTime/testsuite-worldtime.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,24 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - worldtime])
+
+# setting
+m4_include([WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at])
+
+# stepping
+m4_include([WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at])
